Wikimedia Hackathon 2015 showcase
Closed, ResolvedPublic

Tokens
"Pterodactyl" token, awarded by Ckoerner."Love" token, awarded by Bene."Love" token, awarded by Gilles."Love" token, awarded by Qgil."Love" token, awarded by Aklapper."Love" token, awarded by Cchardeau."Love" token, awarded by Ricordisamoa.
Assigned To
Authored By
Qgil, Apr 17 2015

Description

Hackathon showcase

This is the time to show the results of our work during the hackathon. We are looking for prototypes, new features, bugs fixed, results of all kinds of sprints.

Little program

Nominate contributors for recognition

We want to recognize contributors that went above and beyond during this hackathon. Newcomers that became great colleagues and brought impressive results... oldtimers that worked hard and helped to whoever came with questions... You know who we are talking about. Nominate them!

Projects showcase

MediaWiki 1.25 release - T88709
Today we are happy to announce the availability of MediaWiki 1.25, the latest stable version.
https://www.mediawiki.org/wiki/MediaWiki_1.25
@demon will present as release manager for 1.25
Nothing special needed

Wiki-HoaxBuster - T100295
A browser extension to get a better view about pages revisions and spot unreliable information
https://github.com/geekuillaume/wiki-hoaxbuster
@Geekuillaume @Quentin01 @saveman71
Our computer to show the browser extension

VideoJS player - T100106 (✓)
A patch to change the TimedMediaHandler video player to use the videoJS playback engine
https://gerrit.wikimedia.org/r/212981
@TheDJ
my computer, since it's not deployed anywhere else

Flickr upload in UploadWizard - T100062
Refactoring validation of Flickr licenses to the backend in preparation for more refactoring on the frontend and eventually turning Flickr imports on for every user on Commons.
https://gerrit.wikimedia.org/r/212948 and https://gerrit.wikimedia.org/r/213234
@Bawolff and @MarkTraceur
We'll demo the API and the current version of the interface on one of our computers.

Wikipedia on Apple Watch - T97778
Extension of the Wikipedia iOS app on the Apple Watch, with voice search, saving pages to view later on iPhone, and viewing article on iPhone immediately using Handoff.
@Jason.ji, @Fjalapeno, and @Vibhabamba
https://github.com/coreyfloyd/apps-ios-wikipedia/tree/hackathon/apple-watch
Due to the unique constraints of demoing a watch application to a room of 100 people, we will create a video of the app, upload it to YouTube, and play the video during the showcase.
http://youtu.be/8TTXMO5BZbs or flash drive (back-up)

Generate SPARQL queries from natural language questions - FIXME: TNNNNN ✓
Querying Wikidata using SPARQL is very powerful but it is hard to create complex queries. We developed a tool which creates SPARQL queries based on questions in natrual language.
https://tools.wmflabs.org/ppp-sparql/
@Tpt and @Bene
Just show the url :-)

Surface Image Content Gap - T100088
This project aims at writting a tool that crawls wikipedia article categories in order to find article without images and sort them by decreasing number of views (i.e. the first results are the articles that are read more)
code: https://github.com/Commonists/SurfaceImageContentGap and exemple of result: https://fr.wikipedia.org/wiki/User:PierreSelim/RugbySTReport
@PierreSelim
Won't be able to demo due to early flight back.

Citations and usage of of DOIs in Wikipedia - FIXME TNNNNN ✓
DOIs are identifiers for scholarly articles, e.g. http://dx.doi.org/10.5555/12345678. Two projects: one to gather a live stream of edits to Wikipedia that contain citation information. The other looks at the referral logs to see how many people click on DOI links from Wikipedia.
http://chronograph.labs.crossref.org/domains/wikipedia.org
http://events.labs.crossref.org/events/types/WikipediaCitation/live
@Afandian - Joe Wass

Proof of Concept for running tools in a simple, isolated and distributed way T99923 (computer) ✓
Demo of simple 'push' based deploy - you just do a git push to a remote and the tool automatically builds a docker container and deploys it in a scalable way!
Demo deployed app: http://tools-new.wmflabs.org/helloworld/WMF
Code: both in puppet https://github.com/wikimedia/operations-puppet and in independent (still incomplete) repo https://github.com/lavagetto/plumber
Team: Yuvi, Joe
We just need to connect our laptop to the projector

Revision scoring - T90034
We have added French language to our list of languages
Scoring service: http://ores.wmflabs.org/scores/frwiki/?models=reverted&revids=115342133 & https://fr.wikipedia.org/wiki/?diff=115342133
Labeling service: https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Label
Project page: https://meta.wikimedia.org/wiki/Research:Revision_scoring_as_a_service
Features & notes: https://docs.google.com/spreadsheets/d/12S3uFe0ZckQkMdDOhakAFzIlsFBZ5n7jwZxXKwdiJXA/edit#gid=1690184965
Team: halfak, ladsgroup, とある白い猫 and jcreus
None needed, just basic projector is sufficient.
(Technically this was not completed at the hackathon, but it was done with the help of people here, and we have discussed improvements and outcomes. Also should be of interest to the audience.)

ReleaseTagBot - T280
Bot to tag MW releases / wmf deploys to tasks after a patch is merged
https://phabricator.wikimedia.org/p/Forrestbot/feed/
@valhallasw, @Legoktm and lots of input from @Jdforrester-WMF

ExtensionDistributor UI overhaul - T90023
https://www.mediawiki.org/wiki/Special:ExtensionDistributor
Now uses OOUI and loads version selector via ajax
@Legoktm, @matmarex

Pywikibot ✓
Make sphinx-based Pywikibot docs and deploy them on docs.wikimedia.org T66846 / T100109
https://doc.wikimedia.org/pywikibot/
@hashar @Legoktm @Multichill @jayvdb @Ladsgroup @valhallasw
SPARQL generator prototype (@Multichill)
2.0 release candidate 1 (@jayvdb, @Ladsgroup)
I18n migrated to JSON (@Ladsgroup, @jayvdb)
Set up a test wiki dedicated to test pywikibot stuff (@Ladsgroup, @jayvdb)
C-hosted function of differences finder for pywikibot - (optimised utility function)
Analysing differences between articles ||||||| Is that ok ? replace me
Find the LCS (longest common subsequence ) of a first array in a second and parsing the differences
Some first year Epitech's student

Newsletter extension - T99784
Started with many possible and incompatible ideas to implement MediaWiki-extensions-Newsletter, ended up with a sweet and simple minimum viable product and clear direction for our GSoC student to start coding.
You can find the create newsletter task here : T100125
Thanks to the couple of meetings we had : T99518
@Tinaj1234 (GSoC student leading this project; she participated from Kerala, India), @01tonythomas, @Qgil, @Quiddity, @Moushira, @Ckoerner, @Bawolff, @Isarra

MediaWiki Flow Parser - T100281 (computer) ✓
Convert a MediaWiki Flow to a terminal flow. (Readable by bots or humans)
https://github.com/Nokitoo/mediawiki-flow-parser
@Ptitnem @Nokito @Cchardeau
Just a Linux computer with terminal.

Gallery creationr - FIXME: TNNNNN
Gallery creation in meta artwork categories in Commons such as "paintings by Vincent van Gogh by museum" ; each picture is supposed to be the best of a given artwork category
Code at https://github.com/Krho/visualCats, result at https://commons.wikimedia.org/wiki/User:Donna_Nobot/Test/Sub2
@Lena
Won't be able to present, leaving for the airport at 3PM

Revisionjumper - https://en.wikipedia.org/wiki/User:DerHexer/revisionjumper - FIXME: TNNNNN ✓
This script allows you to easily navigate diffs, articles' histories and articles themselves and includes a feature-rich drop down menu that offers various functions to jump to a certain revision which is situated before or after the selected revision.
either show images of https://en.wikipedia.org/wiki/User:DerHexer/revisionjumper or enable the gadget on English Wikipedia and browse around
@DerHexer
showing images on the help page should be fine

Improvements and new file formats for wsexport - T92287 (✓)
Addition of PDF, TXT, MOBI and RDF file formats support to wsexport
https://tools.wmflabs.org/wsexport/tool/book.php
Needs computaaaaaar!
@Tpt and @coren

Android Nearby Map - T100315
@aude and @bearND
Demo from one of our laptops or https://drive.google.com/file/d/0BxUyJSM66jQvVkV1UzdDMjRtWUk/view?usp=sharing

WLM-table-gen, a tool to add coordinates to list of municipal monuments on the Dutch Wikipedia - T100661
made it possible to have the tool add coordinates to already created lists
https://commons.wikimedia.org/wiki/User:1Veertje/hackathon2015 < screengrabs
@1Veertje

Donation flow for iOS - T99004 (✓)
Add a donation button and flow to the iOS app because it doesn't have one yet!
URL of the demo, if available.
@pizzzacat and @Nirzar
Our presentation must originate from @Nirzar's computer

Wikipedia web application - FIXME: TNNNNNN ✓
Javascript web application for a simple reading experience on wikipedia
http://chimeces.com/webkipedia/
@Jhernandez
I probably need the latest stable chrome to show it. Could be on another computer

iOS Event Logging visualization (no phab task for hack) ✓
Educate users about what data we're collecting by showing them event logging information
Will demo from @BGerstle-WMF's computer (unless a video can be uploaded, but unlikely)
https://youtu.be/-1Gu_k0sprk
@BGerstle-WMF @Moushira

Wikipedia Lite app - T90758 (computer) ✓
App for older and/or low-performance Android devices.
@Dbrant will demo from my computer

Accessibility settings - T91201
Offer the best user-interface experience to as many people as possible by introducing settings to change font size, contrast and day/night mode switch.
@violetto demo from computer
@violetto @Prtksxna @Danny_B @TheDJ

Grokapi − T100712
a very simple Python package to query Article Traffic statistics from stats.grok.se
https://github.com/Commonists/Grokapi
@PierreSelim @JeanFred
This service is very widely used and we thought that many people end up rewriting access layers to it. So we thought we would make something light and useful. This is still very beta but kind of working. We tried to work using Test-Driven Development and pair-programming.

Wikidata description editing from iOS Wikipedia app - FIXME T90765
simple interface for in-app editing of wikidata descriptions
@Mhurd, @Vibhabamba, @Lydia_Pintscher, @Anomie
screenshots at the bottom of the phab ticket: T90765
quick demo: https://youtu.be/6VblyGhf_c8
already used to edit over 350 wikidata descriptions: https://www.wikidata.org/w/index.php?title=Special:Contributions/Montehurd&offset=&limit=500&target=Montehurd

PHP error logging via Sentry - T85188
Extension:Sentry handles server-side errors now (pending acceptance of a core patch)
@Edlira and @Tgr
will need own computer which only has microHDMI port :( - have set up a fallback
screenshots for the demo: https://phabricator.wikimedia.org/T85188#1310336

Maps for Wikipedia T96803 / T99574
GL-based maps and their multilingual aspects
FIXME: Who?

OOUI TitleInputWidget in MW core with infusion (computer) - FIXME: TNNNNN
You can do echo new OOUI\TitleInputWidget(); in PHP which outputs a text box that is brought to life by JS
https://gerrit.wikimedia.org/r/#/c/213505/ and dependencies
@Catrope
Can only do demo with microHDMI adapter which we probably don't have here

Wiki Radio goo goo; Wiki Radio gaga (computer) - FIXME: TNNNNN ✓
https://github.com/dr0ptp4kt/wikiradio.git
@dr0ptp4kt and selva

Understandng MediaWiki (and extension) usage around the world - T100217
We set to to answer two questions.
What can we do to encourage groups to contribute their work back to MediaWiki and the community?
What can we do to increase awareness and support of third party usage from the WMF?
Researching
To present at Wikimania 2015
@cicalese @MarkAHershberger @Ckoerner @Darenwelsh @Riverbees @RichardHeigl @Jamesmontalvo3 @Mglaser & others

Recent Changes haiku generator - FIXME: TNNNNNN ✓
Ronseal!
http://samsmith.io:8080
@phuedx

Related Objects

There are a very large number of changes, so older changes are hidden. Show Older Changes
Qgil updated the task description. (Show Details)May 25 2015, 8:58 AM
Qgil updated the task description. (Show Details)May 25 2015, 9:07 AM
demon updated the task description. (Show Details)May 25 2015, 9:21 AM
demon added a subscriber: demon.
This comment was removed by Afandian.
Geekuillaume updated the task description. (Show Details)May 25 2015, 9:41 AM
Geekuillaume edited subscribers, added: Quentin01, saveman71, Geekuillaume; removed: Afandian.
TheDJ updated the task description. (Show Details)May 25 2015, 9:49 AM
TheDJ added a subscriber: TheDJ.
MarkTraceur updated the task description. (Show Details)May 25 2015, 9:49 AM
MarkTraceur edited subscribers, added: Bawolff, MarkTraceur; removed: TheDJ.
Nokito added a subscriber: Nokito.May 25 2015, 9:50 AM
Jason.ji updated the task description. (Show Details)May 25 2015, 9:58 AM
Jason.ji added a subscriber: Jason.ji.
Lena added a subscriber: Lena.May 25 2015, 9:59 AM

Won't be able to present this afternoon, leaving at 3PM :(

Visual categories

  • Creating visual galeries for meta-categories such as "Paintings by Vincent van Gogh by museum" ; each museum will have a dedicated gallery, with a picture per artwork, assuming each artwork as its own category
  • Result visible at https://commons.wikimedia.org/wiki/User:Donna_Nobot/Test/Sub2
  • Quick improvement is adding the museum name as a gallery title
  • Compute the "best" picture in each arwork category. "Best" picture takes into account Google Art Project pictures and VI/FP/QI. Size/Weight/Dimension not useful since there are lot of "heavy" pictures that are either photos of reproduction in books or photos taken in the museum with low light. I chose NOT TO take into account usage on Wikimedia projects since usually it is the first picture uploaded and not the best and that an extension of this tool can be automatically updating pictures including when a better is found. If you have any idea on how to define what is a "best" picture please tell me :)
  • Working on a friendly UI, currently the tool works in command line
Jason.ji updated the task description. (Show Details)May 25 2015, 9:59 AM
Jason.ji edited subscribers, added: Fjalapeno; removed: Lena.
Rfarrand updated the task description. (Show Details)May 25 2015, 10:03 AM
Qgil added a subscriber: Lena.May 25 2015, 10:03 AM

@Lena, that's a pity! Can you find someone presenting for you? Still, could you add the entry in the description following the same format? For instance, do you have a Phabricator task to track progress?

Bene updated the task description. (Show Details)May 25 2015, 10:06 AM
Bene edited subscribers, added: Bene, Tpt; removed: Lena.
Qgil updated the task description. (Show Details)May 25 2015, 10:06 AM
Qgil edited subscribers, added: Lena; removed: Tpt, Bene.
Bene updated the task description. (Show Details)May 25 2015, 10:09 AM
Bene added subscribers: Bene, Tpt.
PierreSelim updated the task description. (Show Details)May 25 2015, 10:09 AM
PierreSelim edited subscribers, added: PierreSelim; removed: Lena.
PierreSelim updated the task description. (Show Details)May 25 2015, 10:12 AM
Afandian updated the task description. (Show Details)May 25 2015, 10:13 AM
Bene updated the task description. (Show Details)May 25 2015, 10:19 AM
Besnar_b updated the task description. (Show Details)May 25 2015, 10:37 AM
Besnar_b removed subscribers: Legoktm, valhallasw, hashar and 4 others.
valhallasw updated the task description. (Show Details)May 25 2015, 10:41 AM
Cchardeau updated the task description. (Show Details)May 25 2015, 10:43 AM
Cchardeau awarded a token.
Cchardeau edited subscribers, added: Cchardeau, Ptitnem; removed: Quiddity, Isarra, 01tonythomas and 3 others.
yuvipanda changed the edit policy from "All Users" to "Custom Policy".May 25 2015, 10:46 AM

I've asked Yuvi to lock this task, as people are overwriting eachothers changes. Use the Etherpad instead: https://etherpad.wikimedia.org/p/T96378

valhallasw updated the task description. (Show Details)May 25 2015, 10:47 AM
Qgil awarded a token.May 25 2015, 1:31 PM
Bene edited subscribers, added: Bene, Tpt; removed: Lena.
Qgil edited subscribers, added: Lena; removed: Tpt, Bene.
Bene added subscribers: Bene, Tpt.
PierreSelim edited subscribers, added: PierreSelim; removed: Lena.
valhallasw added subscribers: jayvdb, Multichill, Jdforrester-WMF and 4 others.
Besnar_b removed subscribers: Legoktm, valhallasw, hashar and 4 others.
01tonythomas added subscribers: Legoktm, valhallasw, hashar and 10 others.
Cchardeau edited subscribers, added: Cchardeau, Ptitnem; removed: Quiddity, Isarra, 01tonythomas and 3 others.

ROTFL T78236

Bene awarded a token.May 25 2015, 2:23 PM
Sylvain_WMFr closed this task as Resolved.May 25 2015, 10:49 PM
Qgil updated the task description. (Show Details)May 26 2015, 6:18 AM
Qgil added subscribers: Quentin01, Afandian, Riverbees and 35 others.

Could this task be unlocked so we could update the descriptions eg with Phab links?

Qgil reassigned this task from Qgil to chasemp.May 28 2015, 10:13 PM
Qgil added a subscriber: Liuxinyu970226.

@valhallasw, @Qgil, @yuvipanda, @AlexCella, @Rfarrand: Can one of you set the edit policy back to allow all users? You're the only ones allowed to do it currently (save for bringing out the opshammer I guess).

yuvipanda changed the edit policy from "Custom Policy" to "All Users".May 29 2015, 11:53 AM
yuvipanda added a subscriber: Liuxinyu970226.

Done

chasemp reassigned this task from chasemp to Qgil.May 29 2015, 3:11 PM
chasemp added subscribers: Liuxinyu970226, hashar.
JeanFred updated the task description. (Show Details)Jun 1 2015, 7:16 AM
JeanFred added a subscriber: hashar.
JeanFred removed a subscriber: hashar.
Qgil updated the task description. (Show Details)Jun 2 2015, 7:13 AM
Qgil added a subscriber: hashar.
1Veertje updated the task description. (Show Details)Jun 2 2015, 8:57 AM
1Veertje removed a subscriber: 1Veertje.
Quiddity updated the task description. (Show Details)Jun 5 2015, 4:51 PM
Quiddity added subscribers: Danny_B, BGerstle-WMF, Nirzar and 2 others.